Bug 643595 - Review Request: openeuclide - A plane geometry software
Summary: Review Request: openeuclide - A plane geometry software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-16 09:44 UTC by Arun S A G
Modified: 2010-11-04 23:41 UTC (History)
3 users (show)

Fixed In Version: openeuclide-0.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-30 23:46:14 UTC
Type: ---
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Arun S A G 2010-10-16 09:44:13 UTC
Spec URL: http://sagarun.fedorapeople.org/SPECS/openeuclide.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/openeuclide-0.5-1.fc13.src.rpm

Description: OpenEuclide is a 2D geometry software: figures are  defined dynamically by describing formal geometrical constraints. This project is a basic tool for educational or modeling purpose.

Comment 1 Ankur Sinha (FranciscoD) 2010-10-16 10:25:40 UTC
hello,

Review:
- Package meets naming and packaging guidelines
OK 

- Spec file matches base package name.
OK 

- Spec has consistant macro usage.
OK

- Meets Packaging Guidelines.
OK

- License
OK

- License field in spec matches
OK

- License file included in package
NOT OK : you forgot to include COPYING in %doc


- Spec in American English
OK

- Spec is legible.
OK

- Sources match upstream md5sum:
[Ankur@070905042 rpmbuild]$ md5sum openeuclide-0.5.tgz SOURCES/openeuclide-0.5.tgz 
036332062fdebed576581ddd21d4b185  openeuclide-0.5.tgz
036332062fdebed576581ddd21d4b185  SOURCES/openeuclide-0.5.tgz
OK


- Package needs ExcludeArch
NA

- BuildRequires correct
OK

- Spec handles locales/find_lang
NA

- Package is relocatable and has a reason to be.
NA

- Package has %defattr and permissions on files is good.
OK

- Package has a correct %clean section.
OK

- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK

- Package is code or permissible content.
OK

- Doc subpackage needed/used.
NA

- Packages %doc files don't affect runtime.
OK

- Headers/static libs in -devel subpackage.
NA

- Spec has needed ldconfig in post and postun
NA

- .pc files in -devel subpackage/requires pkgconfig
NA

- .so files in -devel subpackage.
NA

- -devel package Requires: %{name} = %{version}-%{release}
NA

- .la files are removed.
NA


- Package is a GUI app and has a .desktop file
OK

- Package compiles and builds on at least one arch.
OK

- Package has no duplicate files in %files.
OK

- Package doesn't own any directories other packages own.
OK

- Package owns all the directories it creates.
OK

- No rpmlint output.
[Ankur@070905042 SPECS]$ rpmlint openeuclide.spec ../SRPMS/openeuclide-0.5-1.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
openeuclide.i686: W: no-manual-page-for-binary openeuclide
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

OK

SHOULD Items:

- Should build in mock.
OK

- Should build on all supported archs
OK
built for i686 on mock and koji for x86_64
http://koji.fedoraproject.org/koji/taskinfo?taskID=2537936

- Should function as described.
OK TESTED

- Should have sane scriptlets.
NA

- Should have subpackages require base package with fully versioned depend.
NA

- Should have dist tag
OK

- Should package latest version
OK

- check for outstanding bugs on package. (For core merge reviews)

Issues:

1.License to be included in the package
2.Can you add a "Categories" to the desktop file? It currently shows up in "Others". Graphics or Education would be better?
3. The desktop file needs to mention the "Icon" too. As of now, it shows up in the menu without an icon. 


refereces:
http://standards.freedesktop.org/desktop-entry-spec/latest/apa.html

Minor hiccups 

regards,
Ankur

Comment 2 Ankur Sinha (FranciscoD) 2010-10-16 10:50:08 UTC
Hello, 

More work needed on the desktop file:
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

- desktop-file-validate/install needs to be run on it. 
- .. 

Please refer to the link mentioned above and make changes. 

regards,
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2010-10-17 14:21:01 UTC
[+] OK
[X] NOT OKAY
[-] NA


[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
[+] Spec in American English
[+] Spec is legible.
[+] Sources match upstream md5sum:
[Ankur@070905042 SOURCES]$ md5sum openeuclide-0.5.tgz 
036332062fdebed576581ddd21d4b185  openeuclide-0.5.tgz

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package has %defattr and permissions on files is good.
[+] Package has a correct %clean section.
[+] Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[-] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[+] Package is a GUI app and has a .desktop file

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.

[+] No rpmlint output : ignorable
[Ankur@070905042 SPECS]$ rpmlint openeuclide.spec ../SRPMS/openeuclide-0.5-2.fc13.src.rpm ../RPMS/x86_64/openeuclide-*
openeuclide.spec: W: invalid-url Source0: http://downloads.sourceforge.net/project/openeuclide/openeuclide/openeuclide-0.5/openeuclide-0.5.tgz <urlopen error timed out>
openeuclide.src: W: invalid-url Source0: http://downloads.sourceforge.net/project/openeuclide/openeuclide/openeuclide-0.5/openeuclide-0.5.tgz <urlopen error timed out>
openeuclide.x86_64: W: no-manual-page-for-binary openeuclide
3 packages and 1 specfiles checked; 0 errors, 3 warnings.


SHOULD Items:

[+] Should build in mock.
[+] Should build on all supported archs
[+] Should function as described.
[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[+] check for outstanding bugs on package. (For core merge reviews)

Issues:

1.Everything is good here. Please change the summary to something more informative. 

"A plane geometry software" really doesn't tell a user much.

How about "A geometry software that is intended for educational or modelling purposes." ?

Please make the change before you build in koji etc. 

XXX APPROVED XXX

Comment 5 Arun S A G 2010-10-17 14:29:58 UTC
I will change the summary and upload!

Comment 6 Arun S A G 2010-10-17 14:35:33 UTC
New Package CVS Request
=======================
Package Name: openeuclide
Short Description: A geometry software that is intended for educational or modelling purposes.
Owners: sagarun
Branches: F13,F14

Comment 7 Arun S A G 2010-10-17 16:54:47 UTC
New Package CVS Request
=======================
Package Name: openeuclide
Short Description: A geometry software that is intended for educational or
modelling purposes.
Owners: sagarun
Branches: F13 F14

Comment 8 Kevin Fenzi 2010-10-19 04:07:30 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-10-21 16:58:34 UTC
openeuclide-0.5-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openeuclide-0.5-3.fc13

Comment 10 Fedora Update System 2010-10-21 16:58:43 UTC
openeuclide-0.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openeuclide-0.5-3.fc14

Comment 11 Fedora Update System 2010-10-22 18:10:13 UTC
openeuclide-0.5-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openeuclide'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openeuclide-0.5-3.fc13

Comment 12 Fedora Update System 2010-10-30 23:46:10 UTC
openeuclide-0.5-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-04 23:41:24 UTC
openeuclide-0.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.